symdif {raster} | R Documentation

## Symetrical difference

### Description

Symetrical difference of SpatialPolygons* objects

### Usage

    ## S4 method for signature 'SpatialPolygons,SpatialPolygons'
    symdif(x, y, ...)

### Arguments

`x` | SpatialPolygons* object
`y` | SpatialPolygons* object
`...` | Additional SpatialPolygons* object(s)

### Value

SpatialPolygons*

### Author(s)

Robert J. Hijmans

### See Also

`erase`

### Examples

    #SpatialPolygons
    if (require(rgdal) & require(rgeos)) {
    	p <- shapefile(system.file("external/lux.shp", package="raster"))
    	b <- as(extent(6, 6.4, 49.75, 50), 'SpatialPolygons')
    	projection(b) <- projection(p)
    	sd <- symdif(p, b)
    	plot(sd, col='red')
    }

[Package raster version 2.5-2 Index]